package de.renew.splashscreen.proc;

import de.renew.plugin.load.ISplashscreenPlugin;
import de.renew.splashscreen.implinterface.ImplInterface;

/**
 * This class describes the Close Splashscreen process.
 * This process closes the splashscreen.
 *
 * @author Niklas Levens
 * @author Tom Dasenbrook
 * @date Dec 7, 2025
 */
public class CloseSplashscreen implements SequentialProcess {

    private static final String PROCESS_KEY = "CLOSE_SPLASHSCREEN";

    @Override
    public Object execute(Object[] args, ISplashscreenPlugin trigger) {
        ImplInterface _implInterface = new ImplInterface();
        _implInterface.closeSplashScreen();
        return null;
    }

    @Override
    public String getKey() {
        return PROCESS_KEY;
    }
}
